<?php
require_once('../../config.php');
require_once($CFG->libdir.'/formslib.php');

class aluno_form extends moodleform {
    public function definition() {
        $mform = $this->_form;
        $mform->addElement('text', 'cpf', get_string('cpf', 'local_academico'), array('size' => '20'));
        $mform->setType('cpf', PARAM_NOTAGS);
        // Adicione os outros campos de acordo com os requisitos
        $this->add_action_buttons();
    }
}

$mform = new aluno_form();

if ($mform->is_cancelled()) {
    redirect(new moodle_url('/local/academico/index.php'));
} else if ($data = $mform->get_data()) {
    // Processar os dados do formulário e inserir no banco de dados
    $DB->insert_record('academico_alunos', (object) $data);
    redirect(new moodle_url('/local/academico/index.php'));
}

echo $OUTPUT->header();
$mform->display();
echo $OUTPUT->footer();
