<?php
require_once('../../config.php');
require_once($CFG->libdir.'/formslib.php');

$id = optional_param('id', 0, PARAM_INT);
$aluno = $DB->get_record('academico_alunos', array('id' => $id), '*', MUST_EXIST);

class aluno_form extends moodleform {
    public function definition() {
        $mform = $this->_form;
        $aluno = $this->_customdata;
        $mform->addElement('hidden', 'id', $aluno->id);
        $mform->setType('id', PARAM_INT);
        $mform->addElement('text', 'cpf', get_string('cpf', 'local_academico'), array('size' => '20'));
        $mform->setType('cpf', PARAM_NOTAGS);
        // Adicione os outros campos de acordo com os requisitos
        $this->add_action_buttons();
    }
}

$mform = new aluno_form(null, array('id' => $aluno->id));

if ($mform->is_cancelled()) {
    redirect(new moodle_url('/local/academico/index.php'));
} else if ($data = $mform->get_data()) {
    // Processar os dados do formulário e atualizar o banco de dados
    $DB->update_record('academico_alunos', (object) $data);
    redirect(new moodle_url('/local/academico/index.php'));
}

echo $OUTPUT->header();
$mform->display();
echo $OUTPUT->footer();
