<?php
require_once('../../config.php');
global $DB, $PAGE, $OUTPUT;

$PAGE->set_url(new moodle_url('/local/academico/index.php'));
$PAGE->set_context(context_system::instance());
$PAGE->set_title(get_string('pluginname', 'local_academico'));
$PAGE->set_heading(get_string('pluginname', 'local_academico'));

echo $OUTPUT->header();
echo $OUTPUT->heading(get_string('academico', 'local_academico'));

// Exemplo de listagem de alunos
$alunos = $DB->get_records('academico_alunos');
echo '<table>';
echo '<tr><th>ID</th><th>Nome</th><th>Ações</th></tr>';
foreach ($alunos as $aluno) {
    $user = $DB->get_record('user', array('id' => $aluno->userid));
    echo '<tr>';
    echo '<td>' . $user->id . '</td>';
    echo '<td>' . fullname($user) . '</td>';
    echo '<td><a href="edit.php?id=' . $aluno->id . '">Editar</a></td>';
    echo '</tr>';
}
echo '</table>';

echo '<a href="add.php">Adicionar Novo Aluno</a>';

echo $OUTPUT->footer();
